package com.ruoyi.base.service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.base.domain.BaseRights;
import com.ruoyi.base.vo.CardRightsVO;

import java.util.List;

/**
 * 会员权益Service接口
 *
 * @author vinjor-m
 * @date 2025-03-17
 */
public interface IBaseRightsService extends IService<BaseRights> {
    IPage<BaseRights> queryListPage(BaseRights pageReqVO, Page<BaseRights> page);

    /**
     * 查询会员权益
     *
     * @param userType 用户类型
     * @return java.util.List<com.ruoyi.base.vo.CardRightsVO>
     * @author PQZ
     * @date 11:33 2025/4/7
     **/
    JSONObject rightList(String userType);
}
