package com.ruoyi.busi.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 【请填写功能名称】对象 dl_busi_subscribe
 *
 * @author pqz
 * @date 2025-04-01
 */
@TableName("dl_busi_subscribe")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiSubscribe extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /** 所有者id */
    private Long userId;
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String jsonObj;
    //符合订阅设置的新通告 0 否 1是
    private String newNotice;
    //订阅通告主新通告0否 1是
    private String forkNotice;

}
