package com.ruoyi.busi.service;

import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.busi.domain.BusiFeedback;
import com.ruoyi.busi.query.BusiFeedbackQuery;
import com.ruoyi.busi.vo.BusiFeedbackVo;

/**
 * 意见反馈Service接口
 *
 * @author 朱春云
 * @date 2025-03-17
 */
public interface IBusiFeedbackService extends IService<BusiFeedback>
{
    IPage<BusiFeedbackVo> queryListPage(BusiFeedbackQuery pageReqVO, Page<BusiFeedbackVo> page);

    void dealFeedback(BusiFeedback busiFeedback);

    /**
     * 新增意见反馈
     * @author PQZ
     * @date 14:35 2025/4/14
     * @param busiFeedback {@link BusiFeedback}
    **/
    void uniAddFeedBack(BusiFeedback busiFeedback);
}
