package com.ruoyi.member.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.member.domain.MemberBlacklist;
import com.ruoyi.member.vo.MemberBlacklistVO;

/**
 * 黑名单Service接口
 *
 * @author pqz
 * @date 2025-03-17
 */
public interface IMemberBlacklistService extends IService<MemberBlacklist> {

    /**
     * 分页查询黑名单
     *
     * @param blacklist {@link MemberBlacklist}
     * @param page      分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.domain.MemberBlacklist>
     * @author PQZ
     * @date 17:28 2025/4/14
     **/
    IPage<MemberBlacklistVO> queryListPage(MemberBlacklist blacklist, Page<MemberBlacklist> page);
}
