package com.ruoyi.busi.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.busi.domain.BusiReport;
import com.ruoyi.busi.query.BusiReportQuery;
import com.ruoyi.busi.vo.BusiReportVo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 举报记录Mapper接口
 *
 * @author 朱春云
 * @date 2025-03-17
 */
@Mapper
public interface BusiReportMapper extends BaseMapper<BusiReport>
{
    IPage<BusiReportVo> queryListPage(@Param("entity") BusiReportQuery entity, Page<BusiReportVo> page);
}
