package com.ruoyi.busi.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.busi.domain.BusiReport;
import com.ruoyi.busi.query.BusiReportQuery;
import com.ruoyi.busi.vo.BusiReportVo;

/**
 * 举报记录Service接口
 *
 * @author 朱春云
 * @date 2025-03-17
 */
public interface IBusiReportService extends IService<BusiReport> {
    IPage<BusiReportVo> queryListPage(BusiReportQuery pageReqVO, Page<BusiReportVo> page);

    void dealReport(BusiReport busiReport);

    /**
     * 博主举报通告主
     *
     * @param report {@link BusiReport}
     * @return void
     * @author PQZ
     * @date 14:00 2025/4/14
     **/
    void saveReport(BusiReport report);
}
