package com.ruoyi.busi.service;

import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.busi.domain.BusiUserLove;

/**
 * 用户关注Service接口
 *
 * @author 朱春云
 * @date 2025-03-29
 */
public interface IBusiUserLoveService extends IService<BusiUserLove>
{
    IPage<BusiUserLove> queryListPage(BusiUserLove pageReqVO, Page<BusiUserLove> page);
    /**
     * 用户关注或取消关注接口
     * @param userId 通告主id isLove 0取消关注 1 关注
     */
    void userLoveIs(Long userId,String isLove);
}
