package com.ruoyi.member.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.member.domain.MemberApply;
import com.ruoyi.member.domain.MemberBlacklist;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.member.vo.MemberApplyVO;
import com.ruoyi.member.vo.MemberBlacklistVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 黑名单Mapper接口
 *
 * @author pqz
 * @date 2025-03-17
 */
@Mapper
public interface MemberBlacklistMapper extends BaseMapper<MemberBlacklist> {
    /**
     * 分页查询认证信息
     *
     * @param entity {@link MemberBlacklist}
     * @param page   分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.vo.MemberApplyVO>
     * @author PQZ
     * @date 9:54 2025/3/18
     **/
    IPage<MemberBlacklistVO> queryListPage(@Param("entity") MemberBlacklist entity, Page<MemberBlacklist> page);
}
