package com.ruoyi.member.mapper;

import java.util.List;
import com.ruoyi.member.domain.MemberCard;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 会员开卡记录Mapper接口
 * 
 * @author pqz
 * @date 2025-03-17
 */
@Mapper
public interface MemberCardMapper extends BaseMapper<MemberCard>
{
    /**
     * 查询某会员当前生效的所有会员卡id
     * @author vinjor-M
     * @date 11:32 2025/3/26
     * @param userId TODO
 * @param userType TODO
     * @return java.util.List<java.lang.String>
    **/
    List<MemberCard> selectCardIdByUserId(@Param("userId")Long userId,@Param("userType")String userType,@Param("nowDate")String nowDate);
}
