package com.ruoyi.member.vo;

import com.ruoyi.busi.domain.BusiEvaluate;
import com.ruoyi.busi.domain.BusiNotice;
import com.ruoyi.busi.vo.BusiEvaluateVO;
import com.ruoyi.busi.vo.BusiNoticeVo;
import com.ruoyi.member.domain.MemberAddress;
import com.ruoyi.member.domain.MemberBusiCard;
import com.ruoyi.member.domain.MemberCard;
import com.ruoyi.member.domain.MemberUser;
import lombok.Data;

import java.util.List;

@Data
public class MemberUserVO extends MemberUser {
    /**用户昵称*/
    String nickName;
    /**账号状态*/
    String status;
    /**手机号*/
    String phonenumber;
    /**会员卡名称*/
    String memberCardName;
    /**头像地址*/
    String avatar;
    /**评价信息*/
    List<BusiEvaluateVO> evaluates;
    /**开卡记录*/
    List<MemberCard> cards;
    /**通告主发布的通告列表*/
    List<BusiNotice> notices;
    /**名片信息*/
    List<MemberBusiCard> busiCards;
    /**地址信息*/
    List<MemberAddress> addresses;
    /**积分*/
    int pointsBalance;
    /**报名次数*/
    int report;
    /**剩余通告券*/
    int coupon;
    /**用户名*/
    String userName;
}
