package com.ruoyi.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "dl-rights")
@Data
public class DlRightsConfig {
    /** 每月发布通告额度 */
    private Integer addNotice;
    /** 每日可报名次数上限*/
    private Integer report;

}
